Skip to content

Update a listing request ​

PUT
/v1/suppliers/listingrequests/{listingrequest_id}

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

listingrequest_id*

Listing Request hashkey

Type
string
Required
Max Length
36

Request Body​

application/json
JSON
{
  
"version": 2,
  
"created": null,
  
"updated": null,
  
"deleted": null,
  
"created_by": null,
  
"updated_by": null,
  
"deleted_by": null,
  
"metadata": {
  
  
"additionalProperties": "string"
  
},
  
"listingrequest_id": null,
  
"supplier_id": null,
  
"sport_type": null,
  
"tournament_id": null,
  
"venue_id": null,
  
"ticket_type": null,
  
"request_status": "pending",
  
"team_id": null,
  
"category_ids": [
  
  
"string"
  
],
  
"ticket_targetgroup": null,
  
"links": [
  
  
"string"
  
],
  
"custom_request": false,
  
"category_description": null,
  
"category_type": null,
  
"covered_seat": null,
  
"numbered_seat": null,
  
"videowall": null,
  
"package_rate": null
}

Responses​

OK

application/json
JSON
{
  
"listingrequest_id": "string",
  
"supplier_id": "string",
  
"sport_type": null,
  
"tournament_id": null,
  
"venue_id": null,
  
"ticket_type": null,
  
"request_status": "pending",
  
"team_id": null,
  
"category_ids": [
  
  
"string"
  
],
  
"ticket_targetgroup": null,
  
"links": [
  
  
"string"
  
],
  
"created": null,
  
"custom_request": false,
  
"category_description": null,
  
"category_type": null,
  
"covered_seat": null,
  
"numbered_seat": null,
  
"videowall": null,
  
"package_rate": null
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​